<?php

#
#  this plugin prints the "pages linking to" below a page (the same
#  information the "links/" action does)
#
# altered to use ewiki_get_backlinks() by AndyFundinger.

$ewiki_plugins["view_append"][] = "ewiki_view_append_backlinks";

function ewiki_view_append_backlinks($id, $data, $action) {
    $pages = ewiki_get_backlinks($id);
    
    $o="";
    foreach ($pages as $id) {
// (Shirai123): Wikiのページ下部に表示される参照リンクが複数個存在する時に各リンク間にカンマを追加する改善 (2009/03/04)
// (Shirai123): ここから追加
        ($o) && ($o .= '&nbsp;,&nbsp;');
// (Shirai123): ここまで追加
        $o .= ' <a href="'.ewiki_script("",$id).'">'.$id.'</a>';
    }
    ($o) && ($o = "<div class=\"wiki_backlinks\"><small>".get_string('backlinks', 'wiki').":</small><br />$o</div>\n");
    
    return($o);
}
?>